import CSLib.*;

class Hose {
  // Determine panty hose size.
  // Author: Judith Kamin, September 12, 2000

 	static final int 
   	NONE=0, A=1, B=2, C=3, D=4, E=5, F=6;
  
  int height, // The woman's height...
      weight; // ...and weight
  
  public static void main (String[] args) {
		Hose h = new Hose();
	}

	public Hose() {

		InputBox in = new InputBox();
		in.setTitle ("Compute Panty Hose Size");
    in.setPrompt ("Enter your height in inches: ");
    height = in.readInt();

		in = new InputBox();
		in.setTitle ("Compute Panty Hose Size");
    in.setPrompt ("Enter your weight in pounds: ");
    weight = in.readInt();
  
    int x = (int)Math.floor(height/10.0 - weight/50.0 - 2.4);
    int y = (int)Math.floor(height/4.0 + weight/20.0 - 20.5);
  
    int s = NONE;
    switch (y) {
      case 0: if (x == 1) s = A; break;
      case 1: if (x == 1) s = B; break;
      case 2: switch (x) {
                case 0:  s = E; break;
                case 1:  s = C; break;
              }
              break;
      case 3: switch (x) {
                case 0:  s = F; break;
                case 1:  s = D; break;
              }
    }
  
		OutputBox out = new OutputBox();
    out.print("Your size is ");
    switch (s) {
      case A:    out.print("A"); break;
      case B:    out.print("B"); break;
      case C:    out.print("C"); break;
      case D:    out.print("D"); break;
      case E:    out.print("E"); break;
      case F:    out.print("F"); break;
      case NONE: out.print("not available");
    }
    out.println(".");
		out.show();
  }
}
