import CSLib.*;

public class TwoClocks {
  // Place two clocks in a DrawingBox, and compare them
  // Author: Mary Angela McDermott, December 30, 2000 

  Clock c1,
        c2;
  DrawingBox d;
  OutputBox out;

  public void drawClocks () {
    // Draw two clocks.

    d = new DrawingBox();
    d.setDrawableSize(300,300);

    // Create and set the first clock.
    c1 = new Clock();
    c1.getData();
    c1.display(d, 50, 50, 50);

    // Create and set the second clock
    c2 = new Clock();
    c2.getData();
    c2.display(d, 250, 50, 50);
  }
 
  public void compareClocks () {
    // Compare the times of the two clocks.

    out = new OutputBox("Comparison");
    out.print(c1.toString() + " is ");
    if (!c1.priorTo(c2)) out.print("not ");
    out.print("prior to " + c2.toString());
  }    
}
