import CSLib.*;

public class GradeBook {
  // A grade book of student grades.
  // Author: D. Benjamin Gordon, August 25, 2000
 
  private String[] names;
  private int[] grades1,
                grades2;
  private int size = 0;
  
  public GradeBook(int number) {
    names = new String[number];
    grades1 = new int[number];
    grades2 = new int[number];
  }
  
  public void read () {
    // Read names and exam grades; size counts inputs
    InputBox in = new InputBox();

    while (true) {
      in.setPrompt("Enter student name (null to terminate):");
      names[size] = in.readString();

      if (in.eoi()) break;

      in.setPrompt("Enter first exam grade:");
      grades1[size] = in.readInt();
      in.setPrompt("Enter second exam grade:");
      grades2[size] = in.readInt();
      size++;
    }
  }

  public void printAvgs () {
    OutputBox out = new OutputBox();
    out.println();
    out.println("\tName             \tAverage");
    for (int i=0; i<size; i++) {
      out.println("\t" + names[i] + "\t\t\t" +
                   (double)((grades1[i] + grades2[i])/2));
    }
  }
}
