public class LeftMover implements MouseAlgorithm {
  private boolean started = false; 

  public void makeAlgorithmicMove(Mouse iAm) {
    if (started) {
      if (!iAm.outside()) {
        iAm.turnLeft();
        while (iAm.facingWall()) {
          iAm.turnRight();
        }
        iAm.stepForward();
      }
    } else { 
      iAm.stepForward();
      started=true;
    }
  }
}
