import CSLib.*;

public class Calculator {
  // Read string giving arithmetic expression and calculate
  // Robert Klapper, Nov. 16, 1997

  void calcloop () {
    InputBox in = new InputBox("Calculator");
    OutputBox out = new OutputBox("Calculator output");

    while (true) {
      String s = in.readString();
      if (in.eoi()) return;
      try { Operation op = Operation.parse(s);
            int res = op.calculate();
            out.println(s + " = " + res);
        }
      catch (ArithmeticException ae) {
          new ErrorBox ("Error: " + ae.getMessage());
        }
      catch (NumberFormatException nfe) {
          new ErrorBox ("Input Format Error: " + nfe.getMessage());
        }
    }
  }

}
