import CSLib.*;

public class StraightMouseController {
  // Draw a mouse navigating a maze, using the
  // "walk straight ahead" algorithm
  // Rebecca Kamin, Sept 12, 2000

  public void runMouse () {
    DrawingBox d = new DrawingBox("Mouse in maze");
    Maze theMaze = new Maze();
    MazeDrawer theMazeDrawer = new MazeDrawer(theMaze, d);
    StraightMouse speedy = new StraightMouse(theMaze);
    MouseDrawer speedyDrawer =
                   new MouseDrawer(speedy, theMazeDrawer, d);

    while (true) {
      theMazeDrawer.draw();
      speedyDrawer.draw();
      Timer.pause(1000);
      speedy.makeMove();
    }
  }
}
