import java.awt.*;

public class RightMouse extends Mouse {
  // A mouse that can navigate a maze, using the
  // "wall-to-the-right" algorithm
  // Author: Allan M. Mickunas, September 22, 1996

  public RightMouse (Maze m) {
    super(m);
  }
  
  public void makeMove () {
    if (started) {
      if (!outside()) {
        turnRight();
        while (facingWall()) {
          turnLeft();
        }
        stepForward();
      }
    } else { 
      stepForward();
      started=true;
    }
  }
}


