import CSLib.*;
import java.awt.*;
import java.awt.event.*;

public class RandomCircles extends ClosableFrame
                           implements ActionListener {
  // Draw some random circles.
  // Author: Elaine M. Baranowicz, October 29, 1996

  private Button circleButton;
  private final static int SIZE = 300;
  
  public RandomCircles () {
    super("Random Circles");
    circleButton = new Button("Circle");
    setLayout(new FlowLayout());
    add(circleButton);
    circleButton.addActionListener(this);
    setSize(SIZE, SIZE);
    setVisible(true);
  }
  
  public void paint (Graphics g) {
    int diameter, radius, x, y;
  
    // Generate a random center for the circle.
    x = (int) (SIZE * Math.random());
    y = (int) (SIZE * Math.random());
  
    // now randomly compute the diameter
    diameter = (int) (300 * Math.random());
    radius = (int)(diameter/2);
  
    g.drawOval(x-radius, y-radius, diameter, diameter);
  }
  
  public void actionPerformed (ActionEvent event) {
    repaint();
  }

  public void update (Graphics g) {
    paint(g);
  }
}


