public class BinomCache {

  static int[][] cache;

  private static int chooseCache (int m, int n) {
    if (cache[m][n] == -1) {
      int ans;
      if (n == 0)
        ans = 1;
      else if (m == 0)
        ans = 0;
      else
        ans = chooseCache(m-1, n) + chooseCache(m-1, n-1);
      cache[m][n] = ans;
    }
    return cache[m][n];
  }

  public static int choose (int m, int n) {
    cache = new int[m+1][n+1];
    for (int i=0; i<m+1; i++)
      for (int j=0; j<n+1; j++)
        cache[i][j] = -1;
    return chooseCache(m, n);
  }

  public static void main (String[] args) {
    System.out.println(choose(30, 15));
  }
}
