class Selectsort {

private static void swap (double[] a, int i, int j) {
  double temp = a[i];
  a[i] = a[j];
  a[j] = temp;
}

private static int findMinimum (double[] A, int lo, int hi) {
  if (lo == hi)
    return lo;
  else {
    int locationOfMin = findMinimum(A, lo+1, hi);
    if (A[lo] < A[locationOfMin])
      return lo;
    else
      return locationOfMin;
  }
}

private static void selectionSort (double[] A, 
                           int lo, int hi) {
  // Recursive selection sort
  // Author: Ruth N. Reingold,  April 22, 1995

  // A[0]..A[lo-1] contain the smallest values in A,
  // in ascending order.
  if (lo < hi) { // subarray has more than one element
    swap(A, lo, findMinimum(A, lo, hi));
    selectionSort(A, lo+1, hi);
  }
}

public static void selectionSort (double[] A) {
  selectionSort(A, 0, A.length-1);
}

static final int SIZE = 1000;

public static void main (String[] args) {
  double[] A = new double[SIZE];
  for (int i=0; i<SIZE; i++) A[i] = i;
  selectionSort(A, 0, SIZE-1);
}
  
}
