import java.io.*;

public class CDRecord {
  // CD Database Search
  // Author: Samuel N. Kamin, June 1, l996

  String title, artist, year, callNumber, rating;
  
  public CDRecord () {}
  
  public static CDRecord getRecord (BufferedReader r) 
                                   throws IOException {
    String input = input = r.readLine();
    CDRecord cd = new CDRecord();
    int fieldStart = 0, 
        fieldEnd;

    fieldEnd = input.indexOf("::", fieldStart);
    cd.title = input.substring(fieldStart, fieldEnd);
    fieldStart = fieldEnd+2;
    fieldEnd = input.indexOf("::", fieldStart);
    cd.artist = input.substring(fieldStart, fieldEnd);
    fieldStart = fieldEnd+2;
    fieldEnd = input.indexOf("::", fieldStart);
    cd.year = input.substring(fieldStart, fieldEnd);
    fieldStart = fieldEnd+2;
    fieldEnd = input.indexOf("::", fieldStart);
    cd.callNumber = input.substring(fieldStart, fieldEnd);
    fieldStart = fieldEnd+2;
    cd.rating = input.substring(fieldStart);
    return cd;
  }
  
  public String getArtist () { return artist; }
  
  public String getTitle () { return title; }
  
  public String toString () {
     return (artist + ", " + title + "\n  " + callNumber
             + ", " + year + ", rated " + rating + ".");
  }
}
