import java.awt.event.*;
import java.awt.*;

public class PersonMoveDetector implements GameConstants, 
                                           ScreenConstants,
                                           MouseListener {

  private Referee ref;

  public PersonMoveDetector (Referee ref) {
    this.ref = ref;
  }

  // Respond to the signal
  public void mouseClicked (MouseEvent e) {
    int col = e.getX() / (LINE+SQ) + 1, 
        row = e.getY() / (LINE+SQ) + 1;
    ref.makeMove(PERSON, new Point(row,col));
  }
  
  public void mousePressed (MouseEvent e) {}
  public void mouseReleased (MouseEvent e) {}
  public void mouseEntered (MouseEvent e) {}
  public void mouseExited (MouseEvent e) {}
}
