import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class ReversiManager extends Applet { 
  
  Display scr = new Display();
  Announce msg = new Announce("", Label.CENTER);
  Referee ref = new Referee(scr, msg);
  PersonMoveDetector person = new PersonMoveDetector(ref);
  Player opponent = new SmartPlayer(ref);
  Panel p = new Panel();

  public void init () {
    // Tell the display who the referee is (so the screen
    // can access the board that the referee controls).
    scr.tellReferee(ref);

    // Lay out the screen.
    setLayout(new BorderLayout());
    add("North", msg);
    add("Center", scr);

    // Register component listeners.
    scr.addMouseListener(person);
    scr.addMouseListener(opponent);

    setSize(getPreferredSize());
    repaint();
  }
}
