import java.awt.*;
import java.util.*;

public class SmartPlayer extends Player {
  
  public SmartPlayer (Referee ref) {
    super(ref);
  }

  // The Referee wants PLAYER to make a move.
  public Point getMove () {
    Board trialBoard, presentBoard;
    Point trialMove, bestMove=NULLMOVE;
    int before, value, bestValue=-9999;
  
    presentBoard = ref.duplicate();
  
    before = presentBoard.count(PERSON) ;
    Enumeration e = presentBoard.tellMoves(PLAYER).elements();
    while ( e.hasMoreElements() ) {
      trialMove = (Point)e.nextElement();
      trialBoard = presentBoard.duplicate();
      trialBoard.makeMove(PLAYER, trialMove);
      value = before - trialBoard.count(PERSON);
      if (bestValue<value) {
        bestValue=value; 
        bestMove=trialMove;
      }
    }
    return bestMove;
  }
}
