import CSLib.*;

public class SocialSecurity {
  //  Calculate and print the  Social Security
  //  Self-Employment Tax on wages (to be read in).
  //  Author: Deborah R. Klapper, November 6, l994
  
  public void compute () {
    final double
      MAXIMUM_WAGE = 57600, // maximum wage subject to tax
      TAX_RATE = 0.124;     // tax rate on wages less than
                            // the maximum
    double wages,           // amount of wages subject to tax
           tax;             // amount of tax
  
    InputBox in = new InputBox();
    in.setTitle("Social Security Tax");
    in.setPrompt("Your wages subject to Social Security Tax are: $");
    wages = in.readInt();
  
    if (wages <= MAXIMUM_WAGE)
      tax = TAX_RATE * wages;
    else
      tax = TAX_RATE * MAXIMUM_WAGE;  // maximum allowable tax
  
    OutputBox out = new OutputBox();
    out.setTitle("Social Security Tax");
    out.println("Your Social Security Tax is: $" + tax);
  }
}
