import CSLib.*;
import java.awt.*;

public class MouseMaze {
  // Draw a maze
  // Author: Diane M. Mickunas, November 9, 2000 

  DrawingBox g;
  final int SIZE = 50;  // Width & length of a room in the maze
  Image mouse;          // Image to be created from mouse.gif

  public void setup () {
    Toolkit tools = Toolkit.getDefaultToolkit();
    mouse = tools.getImage("C:/KMR/images/mouse.gif");
    g = new DrawingBox();
    g.setDrawableSize(6*SIZE, 5*SIZE);
  }

  public void draw () {
    g.drawLine(1*SIZE, 1*SIZE, 4*SIZE, 1*SIZE);  // top of maze
    g.drawLine(1*SIZE, 1*SIZE, 1*SIZE, 2*SIZE);  // left side
    g.drawLine(1*SIZE, 3*SIZE, 1*SIZE, 4*SIZE);
    g.drawLine(1*SIZE, 4*SIZE, 5*SIZE, 4*SIZE);  // bottom
    g.drawLine(5*SIZE, 1*SIZE, 5*SIZE, 4*SIZE);  // right side
    g.drawLine(2*SIZE, 2*SIZE, 2*SIZE, 4*SIZE);  // various walls
    g.drawLine(3*SIZE, 2*SIZE, 3*SIZE, 3*SIZE);  // various walls
    g.drawLine(4*SIZE, 3*SIZE, 4*SIZE, 4*SIZE);  // various walls
    g.drawLine(4*SIZE, 2*SIZE, 5*SIZE, 2*SIZE);  // various walls
    g.drawImage(mouse, 5, (int)(2.5*SIZE));
  }
}
