import CSLib.*;
import java.awt.*;

public class Surprise {
  // Surprise with an exploding balloon
  // Author: Rachel McDermott, September 27, 1996

  DrawingBox board;
  int width, height, 
      dmax;     // The maximum diameter circle

  public void setup () {
    board = new DrawingBox("Surpriser");

    width = board.getDrawableWidth();
    height = board.getDrawableHeight();
    dmax = (int)Math.min(width, height);
  }

  public void draw (){
    board.setColor(Color.yellow);
    for (int diameter=0; diameter < dmax; diameter++) {
      board.fillOval((width-diameter)/2, (height-diameter)/2, 
                      diameter, diameter); 
      Timer.pause(10);               // sleep for 10 msec
    }
  
    board.setColor(Color.red);
    board.drawString("Surprise!", (width-53)/2, (height+14)/2);
  }
}
