import CSLib.*;

public class Temperature {
  // Print a table of corresponding C/F temperatures.
  // Author: M. Dennis Mickunas, June 9, 1996

  public void tabulate () {
    final double 
      LOW_TEMP = -10.0,
      HIGH_TEMP = 10.0;
    double
      cent,  // The Centigrade temperature.
      fahr;  // The Fahrenheit temperature.
  
    OutputBox out = new OutputBox();
    out.println("\tDEGREES C\tDEGREES F");

    cent = LOW_TEMP;
    while (cent <= HIGH_TEMP) {
      fahr = (9.0/5.0) * cent + 32.0; // Convert C to F
      out.println("\t" + cent + "\t\t" + fahr);
      cent = cent + 1.0;   // Increment the Centigrade value.
    }
  }
}
