import CSLib.*;

public class TemperatureFor {
  // Print a table of corresponding C/F temperatures.
  // Author: M. Dennis Mickunas, June 9, 1996

  final double 
    LOW_TEMP = -10.0,
    HIGH_TEMP = 10.0;
  double
    cent,  // The Centigrade temperature.
    fahr;  // The Fahrenheit temperature.

  public void tabulate () {
  
    OutputBox out = new OutputBox();
    out.println("\tDEGREES C\tDEGREES F");
    for (cent = LOW_TEMP; cent <= HIGH_TEMP; cent = cent+1.0) {
      fahr = (9.0/5.0) * cent + 32.0; // Convert C to F
      out.println("\t" + cent + "\t\t" + fahr);
    }
  }
  public static void main (String[] args) {
    new TemperatureFor().tabulate();
  }
}
