import CSLib.*;

public class GradeReport {
  // Build and use a GradeDistribution
  // Author: Robert D. Klapper, November 16, 2000

  public void readScores (GradeDistribution distr) {
    InputBox in = new InputBox("Enter grade: ");
    while (true) {
      int g = in.readInt();
      if (in.eoi()) return;
      distr.insertGrade(g);
    }
  }

  public void barGraph (GradeDistribution distr) {
    OutputBox out = new OutputBox("Debugging");
    for (int i=0; i<=9; i++)  // there are 9 groups
      out.println(distr.groupCount(i));
  }
}
