class InsertionSort {
  // Sort an array of doubles.
  // Author:  M. Dennis Mickunas, June 9, 2001
  
  public void insertionSort (double[] A, int size) {
    int i, j;
    for (i=1; i<size; i++) {
      // Elements in A[0]..A[i-1] are sorted.
      // Insert A[i] into correct position in A[0]..A[i]
      double Ai = A[i];
      j = i-1;
      while (j>=0 && A[j]>Ai) {
        // A[0]..A[i] sorted, but if j<i-1, A[j+1]
        // is a "gap"
        A[j+1] = A[j];
        j--;
      }
      // Note: Ai goes into A[j+1] even if j=-1
      A[j+1] = Ai;
    }
  }
}
