import java.awt.*;
import CSLib.*;

public class Easel {
  
  // A place in an applet for drawing
  // Author: Erica Little, March 19, 1996

  final int MAG = 4;  // Number of actual pixels used
              // to draw each pixel in the soft frame
  
  DrawingBox d;

  public Easel () {
    this ("Easel");
  }

  public Easel (String title) {
    d = new DrawingBox(title);
    d.setSize(400, 400);
  }

  public void paintEasel (Color[][] frameBuffer) {
    for (int row = 0; 
             row < frameBuffer.length; 
             row++) 
      for (int col = 0; 
               col < frameBuffer[row].length; 
               col++) {
        d.setColor(frameBuffer[row][col]);
        d.fillRectangle(col*MAG, row*MAG, MAG, MAG);
      }
  }
}
