public class SFormat {

  // A class for formatting integers, strings, and decimals.
  // Author Marie Mickunas, August 2, 2001

	private static String s;  
  private static String BLANKS=
   "                                                                      ";

  public static String sprintr (int w, int i) {
  // Stringify an integer right-justified 
  // in a field of width w
    s=BLANKS+i;
    return s.substring(s.length()-w);
  }

  public static String sprintr (int w, String str) {
  // Right-justify a String in a field of width w
    s=BLANKS+str;
    return s.substring(s.length()-w);
  }

  public static String sprintr (int w, double d) {
  // Stringify a double right-justified
  // in a field of width w
    s=BLANKS+d;
    return s.substring(s.length()-w);
  }
}
