public class PreciseClock extends Clock {
  // Clock with a second hand
  // Janet Kamin, August 20, 2001

  private int second;

  public PreciseClock () {
    second = 0;
  }

  public void advanceSeconds (int s) {
    int advMinutes = s / 60;
    second = second + s % 60;
    if (second < 0) {
      advMinutes--;
      second = second + 60;
    }
    else if (second >= 60) {
      advMinutes++;
      second = second - 60;
    }
    advanceMinutes(advMinutes);
  }
}
