import CSLib.*;
import java.awt.event.*;

public class Draw implements MouseListener {
  // Draw lines where mouse is clicked

  int last_x = -1, last_y;
  DrawingBox d = new DrawingBox ("Drawing Window");
  
  public Draw () {
    d.setSize(300, 300);
    d.drawRectangle(0, 0, 40, 40);
    d.drawString("Clear", 6, 25);
    d.addMouseListener(this);
  }

  public void mouseClicked (MouseEvent e) {
    int x = e.getX(), y = e.getY();
    if (x <= 40 && y <= 40)
       d.clear();
    else if (last_x != -1)
       d.drawLine(last_x, last_y, x, y);
    last_x = x;
    last_y = y;
  }
  public void mousePressed (MouseEvent e) {}
  public void mouseReleased (MouseEvent e) {}
  public void mouseEntered (MouseEvent e) {}
  public void mouseExited (MouseEvent e) {}
}
