public class PreciseClock extends Clock {
  // Clock with a second hand
  // Janet Kamin, August 20, 2001

  private int second;

  public PreciseClock () {
    second = 0;
  }

  public PreciseClock (int h, int m, int s) {
    super(h, m);
    second = s;
  }

  // Convert clock to printable format
  public String toString () {
     String result = hour + ":";
     if (minute < 10) result = result + "0";
     result = result + minute + ":";
     if (second < 10) result = result + "0";
     result = result + second;
     return result;
  }

  public void advanceSeconds (int s) {
    int advMinutes = s / 60;
    second = second + s % 60;
    if (second < 0) {
      advMinutes--;
      second = second + 60;
    }
    else if (second >= 60) {
      advMinutes++;
      second = second - 60;
    }
    advanceMinutes(advMinutes);
  }
}
