public class StraightMouse extends Mouse {
  // A mouse that can navigate a maze, using the
  // "walk-straight-ahead-if-possible" algorithm
  // Author: Allan M. Mickunas, September 22, 1996

  public StraightMouse (Maze m) {
    super(m);
  }
  
  public void makeMove () {
  // Use "walk-straight-ahead-if-possible" algorithm
    if (started) {
      if (!outside()) {
        while (facingWall()) {
          turnRight();
        }
        stepForward();
      }
    } else { 
      stepForward();
      started=true;
    }
  }
}


