import CSLib.*;

public class MouseMazeClient2 {
  // Draw a mouse navigating a maze, using the
  // "walk straight ahead" algorithm
  // Rebecca Kamin, Sept 12, 2000

  public static void main (String[] args) {
    DrawingBox d = new DrawingBox("Mouse in maze");
    Maze theMaze = new Maze();
    MazeDrawer theMazeDrawer = new MazeDrawer(theMaze, d);
    StraightMouse speedy = new StraightMouse(theMaze);
    MouseDrawer speedyDrawer =
                   new MouseDrawer(speedy, theMazeDrawer, d);

    for (;;) {
      theMazeDrawer.draw();
      speedyDrawer.draw();
      Timer.pause(1000);
      speedy.makeMove();
    }
  }
}
