import CSLib.*;
import java.awt.*;
import java.awt.event.*;

public class ClockWithButtons extends ClosableFrame
                implements ActionListener {

  // Display an analog clock
  // Author: Lynn D. Mickunas, November 18, 2000

  Clock c = new Clock();
  Button 
    bHour = new Button("Advance Hour"),
    bMinute = new Button("Advance Minute");

  public ClockWithButtons () {
    setLayout(new FlowLayout());
    add(bHour); add(bMinute); add(c);
    bHour.addActionListener(this);
    bMinute.addActionListener(this);
    c.setSize(300, 300);
    c.setBackground(Color.pink);
    pack();  
    setVisible(true);
  }

  public void actionPerformed (ActionEvent e) {
    int hour = c.getHour(),
        minute = c.getMinute();
    if (e.getSource() == bHour)
      hour++;
    else
      minute++;
    c.set(hour,minute);
    c.repaint();
  }
}
