import java.awt.*;
import java.awt.event.*;

public class ClosableFrame extends Frame implements WindowListener {

  public ClosableFrame () {
    this("");
  }
  
  public ClosableFrame (String title) {
    super(title);
    addWindowListener(this);
  }
 
  public void windowClosing (WindowEvent e) {
    dispose();
    System.exit(0);
  }
  public void windowActivated (WindowEvent e) {}
  public void windowClosed (WindowEvent e) {}
  public void windowOpened (WindowEvent e) {}
  public void windowDeactivated (WindowEvent e) {}
  public void windowDeiconified (WindowEvent e) {}
  public void windowIconified (WindowEvent e) {}

}
