import java.awt.*;
import java.awt.event.*;

public class Temperature extends Frame
                        implements ActionListener {
  // Convert from Fahrenheit to Centigrade
  // Author: Jennifer Mickunas, August 23, 1996
  
  TextField tFahr;
  Label lCent;
  
  public Temperature () {

  // Set the title and the layout manager
    super("Temperature Conversion");
    setLayout(new FlowLayout());
  
  // Create the TextField and the Label
    tFahr = new TextField(10); 
    lCent = new Label("I'll tell you what that is in degrees C");
  
  // Lay out the three Components
    add(new Label("Please type the temperature (deg F): "));
    add(tFahr);
    add(lCent);
    pack();
    setVisible(true);
  
  // Register the Component Listener
    tFahr.addActionListener(this);
  }
  
  // Respond to Action Event: typing in the tFahr TextField
  public void actionPerformed (ActionEvent e) {
    double fahr=0.0,
           cent=0.0;
    fahr = Integer.parseInt(tFahr.getText());
    cent = 5.0 * (fahr - 32) / 9.0;
    lCent.setText(fahr + " deg F is " + cent + " deg C");
    pack();
  }
}
