class Insertsort {
  private static void insertInOrder (double[] A,
                             int hi, double x) {
    // Insert x into A[0]...A[hi-1], filling in
    // A[hi] in the process.  
    // A[0]...A[hi-1] are sorted.
    if (hi == 0 || A[hi-1] <= x)
      A[hi] = x;
    else {
      A[hi] = A[hi-1];
      insertInOrder(A, hi-1, x);
    }
  }

  private static void insertionSort (double[] A, int hi) {
    // Sort  A[0] ... A[hi]
    if (hi > 0) {
      insertionSort(A, hi-1);
      insertInOrder(A, hi, A[hi]);
    }
  }

  public static void insertionSort (double[] A) {
    insertionSort(A, A.length-1);
  }

  static final int SIZE = 1000;

  public static void main (String arg[]) {
    double[] A = new double[SIZE];
    for (int i=0; i<SIZE; i++) A[i] = SIZE-i;
    insertionSort(A, SIZE-1);
  }
    
//double x[10] = {1, 6, 5, 9, 2, 5, 14, 15, 11, 7};
//
//public static void main (String arg[]) {
//  insertionSort(x, 9);
//  for (int i=0; i<10; i++)
//    System.out.print(x[i] + " ");
//  System.out.print("\n");
//  }
}
