class IntList {
  private int value;
  private IntList tail;

  public IntList (int v, IntList next) {
    value=v; tail=next;
  }

  public int getValue () { return value; }

  public IntList getTail () { return tail; };

  IntList merge (IntList L) {
    if (L == null)
      return this;
    if (value < L.value)
      if (tail == null)
        return new IntList(value, L);
      else
        return new IntList(value, tail.merge(L));
    else
      return new IntList(L.value, merge(L.tail));
  }

  IntListPair split () {
    if (tail == null)
      return new IntListPair(this, null);
    else {
      IntListPair p = tail.split();
      return new IntListPair(new IntList(value, p.y),
                             p.x);
    }
  }

}
