import CSLib.*;

public class NonmutatingMergesort {

  public static IntList mergeSort (IntList L) {
  // Sort L by recursively splitting and merging.

    if ((L == null) || (L.getTail() == null))
      return L;           // Zero or one items
    else {                // Two or more items
      // Split it in two parts...
      IntListPair p = L.split();
      // ...then sort and merge the two parts
      return mergeSort(p.x).merge(mergeSort(p.y));
    }
  }

  static void print(IntList L) {
// Simple printing of a list.
    if (L != null) {
      System.out.print(L.getValue() + " ");
      print(L.getTail());
    }
  }

  static IntList addItemToList (int p, IntList L) {
// Return a list formed by inserting item p into list L
    if (L == null)             //  p is the only item
      return new IntList(p, null);
    else                       //  insert p at end
      return
        new IntList(L.getValue(),
                    addItemToList(p, L.getTail()));
  }

  static IntList readList () {
// Return a list of index entries read from input

    int item;
    IntList L = null;

    InputBox in = new InputBox();
    in.setPrompt("Enter number: ");
    item=in.readInt();
    
    while (!in.eoi()) {
      L = addItemToList(item,L);
      System.out.print("Enter number: ");
      item=in.readInt();
    }
    System.out.println();
    return L;
  }

  public static void main (String[] args) {
    IntList l = null;
    int size = 5000;
    for (int i=1; i<=size; i++)
      l = new IntList(i, l);
//  l = readList();
// System.out.print("Sorted list: ");
     mergeSort(l);
//  print(mergeSort(l));
//  System.out.println();
//  System.out.print("Original list: ");
//  print(l);
//  System.out.println();
  }
}

