import java.io.*;

public class Cat {
  // Read and echo a text file, numbering the lines
  // Author: Angela McDermott, September 1, 1996

  private BufferedReader br;

  public Cat (String filename) {
    // open local file given by filename
    br = new BufferedReader(new FileReader(filename));
  }
  
  public void readAndEcho () {
    String s = "";
    for (int line = 1; ; line++) {
      s = br.readLine();
      if (s == null) return;  // if end-of-file
      System.out.println(line + "\t" + s);
    } 
  }
}
