import CSLib.*;

public class Peets {
  //  Peet's Coffee
  //  Author: Eve M. Reingold, May 10, 1996

  public void compute () {
    final double
      RATE_PER_POUND = 1.25, // Shipping rate per pound
      FIXED_FEE = 1.95;      // Shipping rate per shipment
    double
      pricePerPound,         // Coffee price per pound
      weight,                // Amount ordered
      shippingCost,
      coffeeCost,
      totalPrice;
    InputBox in;
    OutputBox msg;
      
    in = new InputBox(); 
    in.setTitle("Peet's Coffee");
    in.setPrompt("Enter price per pound: "); 
    pricePerPound = in.readDouble(); 
    
    in.setPrompt ("Enter number of pounds: "); 
    weight = in.readDouble(); 
      
    shippingCost = RATE_PER_POUND + weight + FIXED_FEE;
    coffeeCost = pricePerPound * weight;
    totalPrice = coffeeCost + shippingCost;
    
    msg = new OutputBox(); 
    msg.setTitle("Peet's Coffee");
    msg.println("Coffee total is " + coffeeCost); 
    msg.println("Shipping cost is " + shippingCost);
    msg.println("Total cost is " + totalPrice);
  }
}
