import CSLib.*;

public class DayOfYear {
	public void compute () {
    int dayNumber, year, month, day;
  
    InputBox in = new InputBox();
		in.setPrompt("Enter year: ");
    year = in.readInt();
    in.setPrompt("Enter month: ");
    month = in.readInt();
    in.setPrompt("Enter day: ");
    day = in.readInt();
    
    boolean isLeapYear = ((year % 4) == 0) 
                            && ((year % 100) != 0)
                              || ((year % 400) == 0);
  
    // Calculate dayNumber assuming all months have 31 days
    dayNumber = (month - 1) * 31 + day;
    
    // Correct for months beyond February
    if (month > 2) {
      // Assume non-leap year
      dayNumber = dayNumber - ((4 * month + 23) / 10);
      if (isLeapYear)
        // Correct for leap year
        dayNumber = dayNumber + 1;
    }
    
		OutputBox out = new OutputBox();
    out.println("Day number " + dayNumber);
  }
}
